Bug 97425 - JVM start parameters should be editable
Summary: JVM start parameters should be editable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Akshay Deep
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2016-01-29 08:32 UTC by Samuel Mehrbrodt (CIB)
Modified: 2016-12-14 15:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Java start parameters dialog (111.35 KB, image/png)
2016-01-29 08:32 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2016-01-29 08:32:35 UTC
Created attachment 122267 [details]
Java start parameters dialog

In the settings, you can add and remove start parameters for the JVM (see attached screenshot).

What is missing is the possibility to edit existing start parameters.

This can be done by adding the edit button to cui/uiconfig/ui/javastartparametersdialog.ui and adding the logic to SvxJavaParameterDlg in cui/source/options/optjava.cxx.

Should be a quite easy Easy Hack :)
Comment 1 Akshay Deep 2016-01-30 01:13:56 UTC
Submitted a patch related to this bug. Please review it. :)
Comment 2 Commit Notification 2016-01-30 07:49:27 UTC
akki95 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e51aeaa6797025ec8c1e7cea39a478edbca83d5

tdf#97425 - JVM start parameters should be editable.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-02-12 09:44:34 UTC
akki95 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ae9eaa79353bc43d0a1dd32cbdb09236256a22b

tdf#97425 - JVM start parameters should be editable.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Robinson Tryon (qubit) 2016-02-18 16:37:07 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2016-04-04 09:09:46 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e099c5bdaa458105148059228ec11c98b9d13029

Make InputDialog class global to reuse it's code and tdf#97425

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.